
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #444

Seeking ends playback of some MP3 files

May 13, 2014 00:38 - Grant Cloete

Status: Rejected Start date: May 13, 2014

Priority: Major Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.4.3   

Description

Seeking is broken. Dragging or clicking on time slider causes Audacious to skip to next song. It's been this way for a long time

(almost a year or longer). It used to work fine, but broke after an update. Now I use VLC when seeking is needed. I noticed that I can

seek slowly by right-clicking on the time slider causing the song to shift backward or forward by a few seconds, but this is tedious and

if I do it too quickly then Audacious skips to the next song on the playlist, just as if I dragged the slider. The same behaviour is

observed using both the GTK and Winamp skins. I reinstalled Audacious and the problem persists.

Program:                        Audacious

OS:                             Linux Mint 14 Nadia 32-bit

Kernel:                         Linux 3.12

Interface:                      Cinnamon 2.0.14

Processor:                      Intel Celeron Dualcore CPU E3300 @ 2.5GHz

Memory:                         3GB DDR2 800

Audio Device:                   Intel 82801JI (ICH10 Family) Onboard HD Audio Controller

Audio Driver:                   I'm not sure, so I'll list all the kernal audio modules that are currently loaded:

snd_seq_dummy

snd_hrtimer

snd_hda_codec_hdmi

snd_hda_codec_realtek

snd_hda_intel

snd_hda_codec

snd_hwdep

snd_pcm

snd_seq_midi

snd_rawmidi

snd_seq_midi_event

snd_seq

snd_timer

snd_seq_device

soundcore

snd_page_alloc

Video Device: GeForce GT 610 PCIe

Video Driver: Nvidia 331.20

History

#1 - May 13, 2014 14:51 - John Lindgren

Please provide an example file and/or the output of "audacious -V".

#2 - May 13, 2014 17:37 - Grant Cloete

- File Log 1 - Using An mp3 File.txt added
- File Log 2 - Using An m4a File.txt added

It's a good thing you asked me for an example file, coz I just discovered now that the behaviour does not occur with m4a or avi files, but does occur

with mp3 files. I'd bet the problem is related to the mp3 codec. If you like I could check a few other formats and list any that exhibit the same problem

as mp3 files. As for the output of audacious -V, I ran Audacious in a terminal then copied the contents of the terminal to two txt files, one where I run

an mp3 file (and the problem occurs), and one where I run an m4a (AAC) file (and the problem does not occur). I figured this might help you

troubleshoot the problem more easily. I used the GTK skin in both instances.

#3 - May 13, 2014 22:08 - John Lindgren

Can you email me one of the MP3 files?  I play MP3s all the time, and seeking works fine, so I don't know what is special about these ones.

#4 - May 13, 2014 23:19 - Grant Cloete

- File Example 1 - Working File (No Skip).mp3 added

- File Example 2 - Working File (No Skip).mp3 added

- File Example 3 - Problematic File (Skips).mp3 added

- File Example 4 - Problematic File (Skips).mp3 added

Mmm, this is interesting. It seems that not all my mp3 files have this problem, but I can't find any connection between ones that don't work. Okay, I'll

upload two files, one that has the problem and one that doesn't. Of course, as soon as you download the files, I'll remove them from this page.

#5 - May 13, 2014 23:28 - Grant Cloete

(duplicate comment removed)

#6 - May 13, 2014 23:29 - Grant Cloete

Um, how can I go about editing my own post? I messed up with post #5.

#7 - May 14, 2014 00:48 - John Lindgren

Grant Cloete wrote:

Um, how can I go about editing my own post? I messed up with post #5.

 

You might need additional permissions to do that (I'm not sure).  Anyway, I removed the duplicate post.  I'll take a look at the files later tonight.

#8 - May 14, 2014 04:14 - John Lindgren

I can seek to any point in all four files here.  Can you do for me:

1. Post the output of mpg123 --version.

2. Move your Audacious configuration (~/.config/audacious) to a backup location and try running with an empty configuration.

3. Try changing the output plugin to ALSA, with PCM device "hw:0,0", instead of PulseAudio.

It's tough to figure out what the problem is when it works on one system and not another.
#9 - May 14, 2014 18:06 - Grant Cloete

1. The terminal says mpg123 isn't installed and prompts me to install it. I checked mpg321, and that isn't installed either. So then this must be the

problem then, huh?

2. I did that, but the problem persists. I just renamed the config/audacious folder to config/audacious.bak, but I can confirm that the configuration was

empty when I checked, since none of my playlists were loaded.

3. Where or how to change my audio plugin?

#10 - May 14, 2014 18:44 - John Lindgren

Probably you have only the library component of mpg123 installed (libmpg123) but not the command-line player.  Try "dpkg -s libmpg123-0" to get the

version number.

The preferences window has an "Audio" page with a dropdown list of installed plugins.

#11 - May 14, 2014 20:31 - John Lindgren

- Subject changed from Seeking is broken. to Seeking ends playback of some MP3 files

#12 - May 14, 2014 23:29 - Grant Cloete

// Output from Terminal:

grant@grant-MS-7519 ~ $ dpkg -s libmpg123-0

Package: libmpg123-0

Status: install ok installed

Priority: optional

Section: libs

Installed-Size: 390

Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>

Architecture: i386

Multi-Arch: same

Source: mpg123

Version: 1.14.2+svn20120622-1

Depends: libc6 (>= 2.15)

Pre-Depends: multiarch-support

Description: MPEG layer 1/2/3 audio decoder (shared library)

mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers

1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).

.

This package contains the C libraries needed to run executables that use

the mpg123 library.

Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>

Homepage: http://mpg123.org/

grant@grant-MS-7519 ~ $

// Changing Audacious output plugin to ALSA with PCM Device set to "hw:0,0" does not fix the problem. Same behaviour as with PulseAudio. Seeking

works with a few mp3 //files, but skips when seeking with the other mp3 files.
#13 - May 17, 2014 04:10 - John Lindgren

- Status changed from New to Rejected

You have an old version of mpg123 that is lacking this bug fix:

http://www.mpg123.de/cgi-bin/scm/mpg123?view=revision&revision=3212

You will have to update or patch mpg123.

#14 - May 18, 2014 14:02 - Grant Cloete

Awesome stuff. Now I can finally get rid of that problem. Just need to find a way to update mpg123. Thanks.

#15 - March 06, 2015 04:07 - John Lindgren

- Target version deleted (52)

Files

Log 1 - Using An mp3 File.txt 29.8 KB May 13, 2014 Grant Cloete

Log 2 - Using An m4a File.txt 56.2 KB May 13, 2014 Grant Cloete

Example 1 - Working File (No Skip).mp3 4.21 MB May 13, 2014 Grant Cloete

Example 2 - Working File (No Skip).mp3 4.31 MB May 13, 2014 Grant Cloete

Example 3 - Problematic File (Skips).mp3 4.22 MB May 13, 2014 Grant Cloete

Example 4 - Problematic File (Skips).mp3 4.42 MB May 13, 2014 Grant Cloete
